<template>
  <checkauto-layout>
    <AppBreadcrumbs
      slot="line-breadcrumb"
      :breadcrumbs="breadcrumbs"/>

    <div
      slot="line-content"
      class="kit outer">
      <div class="kit view checkauto example">
        <div class="top">
          <div class="sticky-button-wrap mobilshow">
            <nuxt-link
              to="/check-auto"
              class="ui button m-mini circular yellow">
              <img
                svg-inline
                src="~/assets/svg/icons/i-search.svg">
              Проверить авто
            </nuxt-link>
          </div>
          <div class="heading">
            <h1>Пример отчёта проверки авто
              <span class="vin-wrap nowrap">по VIN {{ info.Vin }}</span>
            </h1>
            <div class="date-wrap desktopshow">Дата проверки: {{ dateNow }}</div>
          </div>
          <div class="top-button-wrap">
            <nuxt-link
              to="/check-auto"
              class="ui button circular yellow">
              <img
                svg-inline
                src="~/assets/svg/icons/i-search.svg">
              <span class="desktopshow">Проверка авто</span>
              <span class="mobilshow">Проверить авто</span>
            </nuxt-link>
          </div>
        </div>

        <report
          :info="info"
          :data="data"
          :full="true"/>

        <div class="bottom">
          <div class="flexline">
            <nuxt-link
              to="/check-auto"
              class="ui button circular yellow">
              <img
                svg-inline
                src="~/assets/svg/icons/i-search.svg">
              <span class="desktopshow">Проверка авто</span>
              <span class="mobilshow">Проверить авто</span>
            </nuxt-link>
            <payment v-model="paymentSystem.code"/>
          </div>
        </div>

      </div>
    </div>
  </checkauto-layout>
</template>

<script>
import CheckautoLayout from '~/components/redesign/check-auto/main-layout';
import Report from '~/components/redesign/check-auto/CheckAutoReport';
import Payment from '~/components/redesign/blocks/payment';
import AppBreadcrumbs from '~/components/redesign/app-breadcrumbs';

import SeoMixin from '~/assets/js/mixins/seo/base';
import SeoPageMixin from '~/assets/js/mixins/seo/pages/main/check-auto/example';

export default {
  name: 'Example',
  components: {
    AppBreadcrumbs,
    report: Report,
    CheckautoLayout,
    Payment,
  },
  mixins: [SeoMixin, SeoPageMixin],
  asyncData({ app }) {
    return app.$axios.$get('/_main/checkauto/info')
      .then(({ data }) => ({
        servicePrice: data.servicePrice,
        paymentSystem: data.paymentSystem,
      }))
      .catch(e => console.error(e));
  },
  data() {
    return {
      report: {
        id: '9f9bf606-527c-4d90-bcc3-6c84e1c37c64',
        vin: 'WP1ZZZ92ZFLA66342',
        info: {
          State: 'OK',
          Vin: 'WP1ZZZ92ZFLA66342',
          Count: 5,
          VehicleType: 'PC',
          VehicleTypeNumber: 29,
          Brand: 'PORSCHE',
          Model: 'CAYENNE',
          MarkaRus: 'РОRSСНЕ САУЕNNЕ',
          Category: 'В',
          Year: 2014,
          RegNumber: '',
          Price: 1435000,
          EngineNumber: '010772',
          ChassisNumber: null,
          BodyNumber: 'WP1ZZZ92ZFLA66342',
          EngineType: '-',
          Power: '384.9',
          Displacement: 4134,
          SteeringWheelPlacement: 1,
          MaxWeight: 2955,
          NettoWeight: 2540,
          Stealing: true,
          Utilisation: true,
          Taxi: true,
          Leasing: true,
          IsCustoms: true,
          SpecialArea: false,
          Mileage: '-',
          DateOfMileage: '-',
          TaxiInformations: [
            {
              date: '01.10.2017',
              inn: '5250056647',
              company: 'ООО «Трансферная компания»',
            },
            {
              date: '01.10.2016',
              inn: '5550056432',
              company: 'ООО «БиБи Плюс»',
            },
            {
              date: '01.10.2014',
              inn: '5404498753',
              company: 'ООО «ВИП Такси»',
            },
          ],
          LeasingInformations: [
            {
              date: '01.10.2017',
              inn: '5250056647',
              company: 'ООО «ИТЕКО Транспорт»',
            },
            {
              date: '01.10.2017',
              inn: '5250056647',
              company: 'ООО «Логист ПРО»',
            },
            {
              date: '01.10.2017',
              inn: '5250056647',
              company: 'ООО «ИТЕКО Транспорт»',
            },
          ],
          Customs: [
            {
              date: '03.12.2014',
              numberOfDeclaration: '10009199/211114/0005850',
              fromCountry: 'Нидерланды',
              toCountry: 'Россия',
              owner: 'Ю',
              company: 'ООО "ПОРШЕ РУССЛАНД"',
              statPrice: '100 000',
              tax: '11 111',
              color: 'Светло-коричневый',
              mileage: '12345',
              ecology: 'Евро-5',
              specification: 'Отсутствует',
            },
          ],
          Accidents: [],
          Certificates: null,
          registration: [
            {
              country: 'RU',
              type: 'registration',
              dateOfFirstRegistration: '11.04.2018',
              dateOfLastOperation: '11.04.2018',
              okrug: 'Северо-Кавказский',
              oblast: 'Республика Дагестан',
              area: '368320',
              codeOfTechOperation: '41',
              techOperation: 'Замена государственного регистрационного знака',
              categoryOfOwner: '2',
              owner: 'ФИЗ ЛИЦО',
              inn: '-',
              region: 'ЛЕВАШИНСКИЙ　Р-Н.',
              city: 'Леваши с.',
              street: '-',
              house: '-',
              appartment: '-',
              fullOwner: 'Физическое лицо',
              location: 'Республика Дагестан, Леваши с.',
              locationHash: '9897361f2cc0cfa6b9e4bd912c95e8cd',
            },
            {
              country: 'BY',
              type: 'park',
              dateOfFirstRegistration: '25.10.2016',
              dateOfLastOperation: '25.10.2016',
              okrug: 'БЕЛАРУСЬ',
              oblast: 'Минская область',
              area: '-',
              codeOfTechOperation: 'used',
              techOperation: 'Замена государственного регистрационного знака',
              categoryOfOwner: '2',
              region: 'МИНСКИЙ',
              city: 'д. Раубичи',
              street: '-',
              fullOwner: 'Физическое лицо',
              location: 'Минская область, д. Раубичи',
              locationHash: 'c53813dd0e154275d28ac3261fccc5f4',
            },
            {
              country: 'RU',
              type: 'registration',
              dateOfFirstRegistration: '-',
              dateOfLastOperation: '02.12.2015',
              okrug: 'РОССИЯ',
              oblast: 'Свердловская область',
              area: '-',
              codeOfTechOperation: 'new',
              techOperation: 'Вторичная регистрация',
              categoryOfOwner: '2',
              owner: 'физ. лица',
              inn: '-',
              region: 'Свердловская',
              city: 'Екатеринбург',
              street: '-',
              house: '-',
              appartment: '-',
              fullOwner: 'Физическое лицо',
              location: 'Свердловская, Екатеринбург',
              locationHash: 'zSjZt2nTyZQ2',
            },
            {
              country: 'RU',
              type: 'registration',
              dateOfFirstRegistration: '-',
              dateOfLastOperation: '01.10.2015',
              okrug: 'РОССИЯ',
              oblast: 'Новосибирская область',
              area: '-',
              codeOfTechOperation: 'new',
              techOperation: 'Вторичная регистрация',
              categoryOfOwner: '2',
              owner: 'физ. лица',
              inn: '-',
              region: 'Новосибирская',
              city: 'Новосибирск',
              street: '-',
              house: '-',
              appartment: '-',
              fullOwner: 'Физическое лицо',
              location: 'Новосибирская, Новосибирск',
              locationHash: 'bdo8kipvJpS2',
            },
            {
              country: 'RU',
              type: 'registration',
              dateOfFirstRegistration: '-',
              dateOfLastOperation: '30.10.2014',
              okrug: 'РОССИЯ',
              oblast: 'Московская область',
              area: '-',
              codeOfTechOperation: 'new',
              techOperation: 'Первичная регистрация',
              categoryOfOwner: '2',
              owner: 'физ. лица',
              inn: '-',
              region: 'Московская',
              city: 'Москва',
              street: '-',
              house: '-',
              appartment: '-',
              fullOwner: 'Физическое лицо',
              location: 'Московская, Москва',
              locationHash: 'U99UGwvqEJK2',
            },
          ],
          stealing: [
            {
              country: 'RU',
              countryName: 'Россия',
              type: 'stealing',
              date: '01.10.2017',
              okrug: 'Сибирский-федеральный',
              oblast: 'Кемеровская, Кемерово',
            },
          ],
          utilisation: [
            {
              date: '01.10.2017',
              countryName: 'Россия',
              company: 'Орис ПРОМ',
            },
          ],
          restriction: [
            {
              vehicle: 'РОRSСНЕ САУЕNNЕ',
              year: '2014',
              date: '27.05.2016',
              region: 'Республика Дагестан',
              divType: '2',
              restType: '1',
              reasons: `НОМЕР ДОКУМЕНТА - 12260648-0543, ШАПИЕВ САЛИХ ЗАЙНУТТИНОВИЧ, ОТ 20160527, 82431002315202,
              ИП ОТ 20160411 8419-16-05043-ИП`,
              phone: '7(906)447-64-67',
              divTypeName: 'Судебный пристав',
              restTypeName: 'Запрет на регистрационные действия',
            },
            {
              vehicle: 'РОRSСНЕ САУЕNNЕ',
              year: '2014',
              date: '15.12.2016',
              region: 'Республика Дагестан',
              divType: '2',
              restType: '1',
              reasons: `НОМЕР ДОКУМЕНТА - 24070022-0543, ШАМСУДИНОВ АЛИХАН ЧУПАНАЛИЕВИЧ, ОТ 20161215, 82431002760874,
              ИП ОТ 20161214 38364-16-05043-ИП`,
              phone: '8 (8246) 5-27-28',
              divTypeName: 'Судебный пристав',
              restTypeName: 'Запрет на регистрационные действия',
            },
            {
              vehicle: 'Нет данных',
              year: '2014',
              date: '12.05.2018',
              region: 'Республика Дагестан',
              divType: '2',
              restType: '1',
              reasons: `Документ: 47044391/0551 от 12.05.2018, Магомедов Магомедали Арсланович, СПИ: 82511002211441,
              ИП: 14712/17/05051-ИП от 12.04.2017`,
              phone: '+7(87252)2-10-68',
              divTypeName: 'Судебный пристав',
              restTypeName: 'Запрет на регистрационные действия',
            },
            {
              vehicle: 'Нет данных',
              year: '2014',
              date: '15.05.2018',
              region: 'Республика Дагестан',
              divType: '2',
              restType: '1',
              reasons: `Документ: 47110917/0551 от 15.05.2018, Магомедов Магомедали Арсланович, СПИ: 82511002211441,
              ИП: 7789/17/05051-ИП от 07.03.2017`,
              phone: '+7(87252)2-10-68',
              divTypeName: 'Судебный пристав',
              restTypeName: 'Запрет на регистрационные действия',
            },
          ],
          EngineTypeName: null,
          SteeringWheelPlacementName: 'левый',
          dtp: {
            items: [
              {
                date: '22.03.2018 19:25',
                number: '*******35',
                type: 'Столкновение',
                damagePoints: ['116', '117', '118', '119'],
                region: 'Московская область',
                damageState: 'Повреждено',
                damageKind: 'Средней тяжести',
                damagePointsMap: 'V116 V117 V118 V119',
              },
              {
                date: '15.10.2017 18:00',
                number: '*******78',
                type: 'Столкновение',
                damagePoints: ['01', '02', '03'],
                region: 'Оренбургская область',
                damageState: 'Повреждено',
                damageKind: 'Легкой тяжести',
                damagePointsMap: 'V01 V02 V03',
              },
            ],
            hasPoints: true,
            loaded: true,
          },
          reportVersion: 2,
          restrictionLoaded: true,
        },
      },
      breadcrumbs: [
        {
          url: '/check-auto',
          name: 'Проверка авто',
        },
        {
          url: '',
          name: 'Пример отчета',
        },
      ],
    };
  },
  computed: {
    info() {
      return this.report.info;
    },
    data() {
      return this.report;
    },
    dateNow() {
      const options = { year: 'numeric', month: '2-digit', day: '2-digit' };
      const today = new Date();

      return today.toLocaleDateString('ru-RU', options);
    },
  },
};
</script>

<style scoped lang="postcss">
  .ui.button .svg {
    display: inline-block;
    vertical-align: middle;
    margin: 0 .375em 0 -.1875em;
    fill: #1b1c1d;
  }
</style>
